import { collection, fields } from '@keystatic/core'

export const TagsCollection = collection({
  label: 'Tags',
  slugField: 'name',
  path: 'src/content/taxonomy/tags/*',
  format: { data: 'json' },
  schema: {
    name: fields.slug({ name: { label: 'Name' } }),
    icon: fields.image({ label: 'Icon' }),
    description: fields.text({ label: 'Description', multiline: true }),
  },
})
